Storyden
Posts

Post React Add

Add a reaction to a post.

PUT
/posts/{post_id}/reacts

Add a reaction to a post.

Authorization

cookiestoryden-session<token>

Path Parameters

post_id*string

Unique post ID.

Formatxid

Request Body

Add a reaction to a post.

application/json
  1. body

Reactions are currently just simple emoji characters.

emoji*ReactEmoji

A single emoji character representing a reaction. In future, this will be augmented with a more fully fledged custom emoji system.

Response Body

Post reaction added.

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
emoji*ReactEmoji

A single emoji character representing a reaction. In future, this will be augmented with a more fully fledged custom emoji system.

author*

A minimal reference to an account.

Example Request
curl -X PUT 'https://example.com/api/posts/string/reacts' \  -H 'Content-Type: application/json' \  -d '{  "emoji": "string"}'
Example Response
{  "id": "string",  "emoji": "string",  "author": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}